## ETreeTableAdapter

ETreeTableAdapter

## Functions

ETableModel * | e_tree_table_adapter_new ()
ETableHeader * | e_tree_table_adapter_get_header ()
void | e_tree_table_adapter_set_sort_info ()
ETableSortInfo * | e_tree_table_adapter_get_sort_info ()
ETreeModel * | e_tree_table_adapter_get_source_model ()
ETreePath | e_tree_table_adapter_node_get_next ()
gboolean | e_tree_table_adapter_node_is_expanded ()
void | e_tree_table_adapter_node_set_expanded ()
void | e_tree_table_adapter_node_set_expanded_recurse ()
void | e_tree_table_adapter_force_expanded_state ()
void | e_tree_table_adapter_root_node_set_visible ()
ETreePath | e_tree_table_adapter_node_at_row ()
gint | e_tree_table_adapter_row_of_node ()
gboolean | e_tree_table_adapter_root_node_is_visible ()
void | e_tree_table_adapter_show_node ()
void | e_tree_table_adapter_save_expanded_state ()
void | e_tree_table_adapter_load_expanded_state ()
xmlDoc * | e_tree_table_adapter_save_expanded_state_xml ()
void | e_tree_table_adapter_load_expanded_state_xml ()

## Properties

ETableHeader * | header | Read / Write / Construct Only
ETableSortInfo * | sort-info | Read / Write / Construct
ETreeModel * | source-model | Read / Write / Construct Only

## Signals

gboolean | sorting-changed | Run Last

## Types and Values

struct | ETreeTableAdapter

## Object Hierarchy

        GObject
        ╰── ETreeTableAdapter

## Implemented Interfaces

ETreeTableAdapter implements ETableModel.

## Description

## Functions

### e_tree_table_adapter_new ()

    ETableModel *
    e_tree_table_adapter_new (ETreeModel *source_model,
                              ETableSortInfo *sort_info,
                              ETableHeader *header);

### e_tree_table_adapter_get_header ()

    ETableHeader *
    e_tree_table_adapter_get_header (ETreeTableAdapter *etta);

### e_tree_table_adapter_set_sort_info ()

    void
    e_tree_table_adapter_set_sort_info (ETreeTableAdapter *etta,
                                        ETableSortInfo *sort_info);

### e_tree_table_adapter_get_sort_info ()

    ETableSortInfo *
    e_tree_table_adapter_get_sort_info (ETreeTableAdapter *etta);

### e_tree_table_adapter_get_source_model ()

    ETreeModel *
    e_tree_table_adapter_get_source_model (ETreeTableAdapter *etta);

### e_tree_table_adapter_node_get_next ()

    ETreePath
    e_tree_table_adapter_node_get_next (ETreeTableAdapter *etta,
                                        ETreePath path);

### e_tree_table_adapter_node_is_expanded ()

    gboolean
    e_tree_table_adapter_node_is_expanded (ETreeTableAdapter *etta,
                                           ETreePath path);

### e_tree_table_adapter_node_set_expanded ()

    void
    e_tree_table_adapter_node_set_expanded
                                   (ETreeTableAdapter *etta,
                                    ETreePath path,
                                    gboolean expanded);

### e_tree_table_adapter_node_set_expanded_recurse ()

    void
    e_tree_table_adapter_node_set_expanded_recurse
                                   (ETreeTableAdapter *etta,
                                    ETreePath path,
                                    gboolean expanded);

### e_tree_table_adapter_force_expanded_state ()

    void
    e_tree_table_adapter_force_expanded_state
                                   (ETreeTableAdapter *etta,
                                    gint state);

### e_tree_table_adapter_root_node_set_visible ()

    void
    e_tree_table_adapter_root_node_set_visible
                                   (ETreeTableAdapter *etta,
                                    gboolean visible);

### e_tree_table_adapter_node_at_row ()

    ETreePath
    e_tree_table_adapter_node_at_row (ETreeTableAdapter *etta,
                                      gint row);

### e_tree_table_adapter_row_of_node ()

    gint
    e_tree_table_adapter_row_of_node (ETreeTableAdapter *etta,
                                      ETreePath path);

### e_tree_table_adapter_root_node_is_visible ()

    gboolean
    e_tree_table_adapter_root_node_is_visible
                                   (ETreeTableAdapter *etta);

### e_tree_table_adapter_show_node ()

    void
    e_tree_table_adapter_show_node (ETreeTableAdapter *etta,
                                    ETreePath path);

### e_tree_table_adapter_save_expanded_state ()

    void
    e_tree_table_adapter_save_expanded_state
                                   (ETreeTableAdapter *etta,
                                    const gchar *filename);

### e_tree_table_adapter_load_expanded_state ()

    void
    e_tree_table_adapter_load_expanded_state
                                   (ETreeTableAdapter *etta,
                                    const gchar *filename);

### e_tree_table_adapter_save_expanded_state_xml ()

    xmlDoc *
    e_tree_table_adapter_save_expanded_state_xml
                                   (ETreeTableAdapter *etta);

### e_tree_table_adapter_load_expanded_state_xml ()

    void
    e_tree_table_adapter_load_expanded_state_xml
                                   (ETreeTableAdapter *etta,
                                    xmlDoc *doc);

## Types and Values

### struct ETreeTableAdapter

    struct ETreeTableAdapter;

## Property Details

### The `“header”` property

      “header”                   ETableHeader *

Flags: Read / Write / Construct Only

### The `“sort-info”` property

      “sort-info”                ETableSortInfo *

Flags: Read / Write / Construct

### The `“source-model”` property

      “source-model”             ETreeModel *

Flags: Read / Write / Construct Only

## Signal Details

### The `“sorting-changed”` signal

    gboolean
    user_function (ETreeTableAdapter *etreetableadapter,
                   gpointer           user_data)

Flags: Run Last